## crafty-books-small 1.0

=== debian/changelog ===
crafty-books-small (1.0.debian1-5) unstable; urgency=medium

  * d/rules: Remove redundant chown that FTBFS during rootless builds
    (Closes: #1093328)

 -- Niels Thykier <niels@thykier.net>  Fri, 24 Jan 2025 08:43:51 +0000

crafty-books-small (1.0.debian1-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.8.3 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Set Debian source package format to 3.0 (quilt).
  * Moved to debhelper compat level 13.
  * Dropped versioned dependency on crafty versoin older than oldoldstable.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 28 Apr 2024 00:17:47 +0200

crafty-books-small (1.0.debian1-3) unstable; urgency=medium

  * QA upload.
  * Bump debhelper compat to 7.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #835320)
  * debian/rules: Add build-{arch,indep} (Closes: #998983).

 -- Marcos Talau <talau@debian.org>  Fri, 04 Nov 2022 08:03:06 -0300

crafty-books-small (1.0.debian1-2) unstable; urgency=low

  * crafty >= 23 reports the book to be outdated, so a rebuild is done
  * Added a ${misc:Depends} entry to the control file
  * Changed "Recommends" field to "Depends", the books do not work without 
    crafty
  * Adjusted Standards-Version to 3.8.3
  * Moved the books to /usr/share/crafty. These books are no changing
    data and should be used in $HOME/.crafty anyway. (Closes: #564121)

 -- Oliver Korff <ok@xynyx.de>  Fri, 08 Jan 2010 09:45:52 +0100

crafty-books-small (1.0.debian1-1) unstable; urgency=low

  * Repackaged the source and added subdirectory to
    the orig.tar.gz and removed debian directory from source
  * Removed conffile status from the created .bin files
  * Removed crafty-books-small.override
  * Added debhelper (>> 5.0.0) to ensure compat level 5
  * Added adopt note to the copyright file
  * New-maintainer upload. (Closes: #503534)
  * crafty 22.10 reported book to be outdated, rebuild (Closes: #515023)
  * There is no use for this book without crafty and it is not working
    with 20.14, so I added a Depends: crafty (>= 22.10-1) to the 
    control file
  * Changed file permissions in /var/lib/crafty to 664
  * Set compatlevel to 5
  * Removed fullstop from short description
  * Removed empty prerm script
  * Removed dh_undocumented from rules and changed dh_installmanpages
  * Removed empty conffiles from debian/
  * Removed binary_arch from debian/rules

 -- Oliver Korff <ok@xynyx.de>  Sat, 16 May 2009 16:17:43 +0200

crafty-books-small (1.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuild for the /usr/doc transition (Closes: #411973).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun,  4 Mar 2007 18:18:51 +0100

crafty-books-small (1.0-2) unstable; urgency=low

  * No more binary conffiles

 -- Eric Van Buggenhaut <ericvb@debian.org>  Thu, 15 Aug 2002 21:59:56 +0200

crafty-books-small (1.0-1) unstable; urgency=high

  * Removed the uuencode/uudecode stuff which doesn't give us any real
    benefit
  * Closing ITP (closes: #136301)
  * Priority set to high because crafty, which lives in sid needs this
    new package (closes: #145919)

 -- Eric Van Buggenhaut <ericvb@debian.org>  Wed,  10 Jul 2002 11:41:31 +0100

crafty-books-small (1.0) unstable; urgency=low

  * Initial debianization.
  * Originally, the opening books for crafty were included in the same package
    as the chess engine. Since they are quite large files and we don't want to
    waste bandwidth everytime we do a change to the chess engine, they now
    exist on their own.

 -- Eric Van Buggenhaut <ericvb@debian.org>  Mon,  28 Feb 2002 11:24:27 +0100

Local variables:
mode: debian-changelog
End:
