=== debian/control ===
Source: crafty-books-small
Section: contrib/games
Priority: optional
Build-Depends: crafty,
               debhelper-compat (= 13),
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/crafty-books-small
Vcs-Git: https://salsa.debian.org/debian/crafty-books-small.git

Package: crafty-books-small
Architecture: all
Depends: crafty,
         ${misc:Depends},
Conflicts: crafty-books-large,
           crafty-books-medium,
           crafty-books-medtosmall,
Description: Small-size opening books for crafty chess engine
 Opening books that crafty use to evaluate the position during the game.
 This is the small version, occupying 1MB and containing +4500 games
 computed until the 60th ply.
