=== debian/rules ===
#!/usr/bin/make -f
# Makefile for Debian package crafty.
# Copyright (C) 2001 by Eric Van Buggenhaut.
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

build: build-stamp

build-stamp:
	dh_testdir
	#Build the openings books.
	#uudecode learn.dat.gz.uu | gunzip > debian/books/learn.dat
	#uudecode small.txt.gz.uu | gunzip > debian/books/small.txt
	echo "book create small.txt 60" \
	| /usr/games/crafty
	echo "books create start.pgn 60" \
	| /usr/games/crafty
	rm -f log*
	rm -f game*
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	# Add here commands to clean up after the build process.
	rm -f game* books.bin book.bin book.lrn *.*~ \
debian/books/learn.dat debian/books/small.txt

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/crafty
	#install -d debian/crafty-books-med/var/lib/crafty/TB
	install -m664 books.bin debian/crafty-books-small/usr/share/crafty
	install -m664 book.bin debian/crafty-books-small/usr/share/crafty
	#touch debian/crafty-books-med/var/lib/crafty/position.lrn
	#touch debian/crafty-books-med/var/lib/crafty/book.lrn


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
# binary-arch: 
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installpam
#	dh_installinit
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms 

	# You may want to make some executables suid here.
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
